VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceMemoryProperties const & () const
| operator VkPhysicalDeviceMemoryProperties & ()
bool | operator== (PhysicalDeviceMemoryProperties const &rhs) const
bool | operator!= (PhysicalDeviceMemoryProperties const &rhs) const

## Data Fields

uint32_t | memoryTypeCount
MemoryType | memoryTypes [VK_MAX_MEMORY_TYPES]
uint32_t | memoryHeapCount
MemoryHeap | memoryHeaps [VK_MAX_MEMORY_HEAPS]

## Detailed Description

Definition at line 22438 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceMemoryProperties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::operator VkPhysicalDeviceMemoryProperties & | ( |  | ) |

inline

Definition at line 22445 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMemoryProperties*>(this);
}

## operator VkPhysicalDeviceMemoryProperties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::operator VkPhysicalDeviceMemoryProperties const & | ( |  | ) | const

inline

Definition at line 22440 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMemoryProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::operator!= | ( | PhysicalDeviceMemoryProperties const & | rhs | ) | const

inline

Definition at line 22458 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::operator== | ( | PhysicalDeviceMemoryProperties const & | rhs | ) | const

inline

Definition at line 22450 of file vulkan.hpp.

{
return ( memoryTypeCount == rhs.memoryTypeCount )
&& ( memcmp( memoryTypes, rhs.memoryTypes, VK_MAX_MEMORY_TYPES * sizeof( MemoryType ) ) == 0 )
&& ( memoryHeapCount == rhs.memoryHeapCount )
&& ( memcmp( memoryHeaps, rhs.memoryHeaps, VK_MAX_MEMORY_HEAPS * sizeof( MemoryHeap ) ) == 0 );
}

References memoryHeapCount, memoryHeaps, memoryTypeCount, memoryTypes, VK_MAX_MEMORY_HEAPS, and VK_MAX_MEMORY_TYPES.

Referenced by operator!=().

## Field Documentation

## memoryHeapCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryHeapCount

Definition at line 22465 of file vulkan.hpp.

Referenced by operator==().

## memoryHeaps

MemoryHeap VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryHeaps[VK_MAX_MEMORY_HEAPS]

Definition at line 22466 of file vulkan.hpp.

Referenced by operator==().

## memoryTypeCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryTypeCount

Definition at line 22463 of file vulkan.hpp.

Referenced by operator==().

## memoryTypes

MemoryType VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryTypes[VK_MAX_MEMORY_TYPES]

Definition at line 22464 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryTypeCount
uint32_t memoryTypeCount
Definition: vulkan.hpp:22463
VkPhysicalDeviceMemoryProperties
Definition: vulkan_core.h:2017
VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryTypes
MemoryType memoryTypes[VK_MAX_MEMORY_TYPES]
Definition: vulkan.hpp:22464
VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryHeaps
MemoryHeap memoryHeaps[VK_MAX_MEMORY_HEAPS]
Definition: vulkan.hpp:22466
VK_MAX_MEMORY_HEAPS
#define VK_MAX_MEMORY_HEAPS
Definition: vulkan_core.h:107
VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::memoryHeapCount
uint32_t memoryHeapCount
Definition: vulkan.hpp:22465
VK_MAX_MEMORY_TYPES
#define VK_MAX_MEMORY_TYPES
Definition: vulkan_core.h:106
VULKAN_HPP_NAMESPACE::PhysicalDeviceMemoryProperties::operator==
bool operator==(PhysicalDeviceMemoryProperties const &rhs) const
Definition: vulkan.hpp:22450